View Issue Details

IDProjectCategoryView StatusLast Update
0002928SymmetricDSBugpublic2016-12-22 15:00
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.10 
Target Version3.8.11Fixed in Version3.8.11 
Summary0002928: Staging purge process fails to clean registration batch. Purge staging hourly based on absence of batch in batch tables
Description2016-12-01 00:00:02,614 INFO [client-ora_qis_d02] [StagingManager] [client-ora_qis_d02-job-6] Cleaning staging area for inactive batches
2016-12-01 00:00:02,614 WARN [client-ora_qis_d02] [StagingManager] [client-ora_qis_d02-job-6] Failed to delete the '{}' staging resource due to unexpected error. StackTraceKey.init [NumberFormatException:3698099467]
java.lang.NumberFormatException: For input string: "00000-9999"
     at java.lang.NumberFormatException.forInputString(Unknown Source)
     at java.lang.Long.parseLong(Unknown Source)
     at java.lang.Long.<init>(Unknown Source)
     at org.jumpmind.symmetric.io.stage.StagingManager.cleanExcessBatches(StagingManager.java:169)
     at org.jumpmind.symmetric.service.impl.PurgeService.purgeIncoming(PurgeService.java:123)
     at org.jumpmind.symmetric.job.IncomingPurgeJob.doJob(IncomingPurgeJob.java:50)
     at org.jumpmind.symmetric.job.AbstractJob.invoke(AbstractJob.java:175)
     at org.jumpmind.symmetric.job.AbstractJob.run(AbstractJob.java:219)
     at org.springframework.scheduling.support.DelegatingErrorHandlingRunnable.run(DelegatingErrorHandlingRunnable.java:54)
     at org.springframework.scheduling.concurrent.ReschedulingRunnable.run(ReschedulingRunnable.java:81)
     at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)
     at java.util.concurrent.FutureTask.run(Unknown Source)
     at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$201(Unknown Source)
     at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(Unknown Source)
     at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
     at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
     at java.lang.Thread.run(Unknown Source)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 0fe37566

2016-12-01 14:23:33

chenson

Details Diff
0002928: Staging purge process fails to clean registration batch. Purge
staging hourly based on absence of batch in batch tables

0002928
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ClientSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbCompareDiffWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbCompareReport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbValueComparator.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/io/stage/BatchStagingManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/BatchId.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IIncomingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IOutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AbstractService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PurgeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PurgeServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/Row.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/sql/mapper/LongMapper.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/IStagingManager.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagingManager.java Diff File

SymmetricDS: 3.8 c0feceeb

2016-12-22 14:45:29

chenson

Details Diff
0002928: fix unit tests
0002928
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/stage/BatchStagingManager.java Diff File

Issue History

Date Modified Username Field Change
2016-12-01 10:32 chenson New Issue
2016-12-01 10:32 chenson Status new => assigned
2016-12-01 10:32 chenson Assigned To => chenson
2016-12-01 14:23 chenson Summary Staging purge process fails to clean registration batch => Staging purge process fails to clean registration batch. Purge staging hourly based on absence of batch in batch tables
2016-12-01 14:23 chenson Status assigned => resolved
2016-12-01 14:23 chenson Fixed in Version => 3.8.11
2016-12-01 14:23 chenson Resolution open => fixed
2016-12-01 15:00 chenson Changeset attached => SymmetricDS 3.8 0fe37566
2016-12-05 10:58 chenson Status resolved => closed
2016-12-22 15:00 chenson Changeset attached => SymmetricDS 3.8 c0feceeb